ECategoriesDialog
3
LIBEDATASERVERUI Library

# ECategoriesDialog

## Synopsis

                        ECategoriesDialog;
    GtkWidget*          e_categories_dialog_new             (const char *initial_category_list);
    const char*         e_categories_dialog_get_categories  (ECategoriesDialog *dialog);
    void                e_categories_dialog_set_categories  (ECategoriesDialog *dialog,
                                                             const char *categories);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----GtkDialog
                                                 +----ECategoriesDialog

## Implemented Interfaces

ECategoriesDialog implements AtkImplementorIface and GtkBuildable.

## Description

## Details

### ECategoriesDialog

    typedef struct _ECategoriesDialog ECategoriesDialog;

### e_categories_dialog_new ()

    GtkWidget*          e_categories_dialog_new             (const char *initial_category_list);

Creates a new ECategoriesDialog widget.

`initial_category_list` :

  Comma-separated list of initial categories.

Returns :

  A pointer to the newly created ECategoriesDialog widget.

### e_categories_dialog_get_categories ()

    const char*         e_categories_dialog_get_categories  (ECategoriesDialog *dialog);

Gets a comma-separated list of the categories currently selected on the dialog.

`dialog` :

  An ECategoriesDialog widget.

Returns :

  comma-separated list of categories.

### e_categories_dialog_set_categories ()

    void                e_categories_dialog_set_categories  (ECategoriesDialog *dialog,
                                                             const char *categories);

Sets the list of categories selected on the dialog.

`dialog` :

  An ECategoriesDialog widget.

`categories` :

  Comma-separated list of categories.